﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using System.Drawing;

namespace bbiwarg.Utility
{
    class Quad2D
    {
        public Vector2D Origin {private set; get;}
        public Vector2D DirLength {private set; get;}
        public Vector2D DirWidth {private set; get;}

        public Quad2D(Vector2D origin, Vector2D dirLength, Vector2D dirWidth)
        {
            Origin = origin;
            DirLength = dirLength;
            DirWidth = dirWidth;
        }

        public PointF[] getVertices()
        {
            return new PointF[] {Origin, Origin + DirLength, Origin + 0.8f * DirLength + 0.8f * DirWidth, Origin + DirWidth};
        }
    }
}
