﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using bbiwarg.Utility;

namespace bbiwarg.Detectors.Fingers
{
    class FingerSlice
    {
        private Vector2D start;
        private Vector2D mid;
        private Vector2D end;
        public Vector2D Start { get { return start; } private set { start = value; } }
        public Vector2D Mid { get { return mid; } private set { mid = value; } }
        public Vector2D End { get { return end; } private set { end = value; } }
        public Line2D Line { get { return new Line2D(Start, End); } }
        public float Size { get { return Start.getDistanceTo(End); } }

        public FingerSlice(Vector2D start, Vector2D end) {
            Start = start;
            End = end;
            Mid = (start + end) / 2;
        }

    }
}
